Skip to main content
GET
/
search
/
{id}
/
leaks
/
{source}
Get leak results for a specific source
curl --request GET \
  --url https://api.osint.ly/search/{id}/leaks/{source} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "source": "<string>",
  "count": 123,
  "template": {},
  "results": [
    {
      "key": "<string>",
      "items": [
        "<unknown>"
      ]
    }
  ],
  "pagination": {
    "currentPage": 123,
    "totalPages": 123,
    "hasNextPage": true,
    "pageSize": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Search UUID

source
string
required

Leak source code/name (case-insensitive)

Example:

"snusbase"

Query Parameters

page
integer

Page number for paginated leak sources

Required range: x >= 1

Response

Leak source payload

ok
enum<boolean>
required
Available options:
true
source
string
required
count
integer
template
object
results
object[]
pagination
object